This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 102708 - rpm -qa (and rpm everythingelse) is SLOOOOOW
rpm -qa (and rpm everythingelse) is SLOOOOOW
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-19 21:59 EDT by Stig Hackvan
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-20 10:26:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2003-08-19 21:59:54 EDT
Description of problem:

i don't know what it is, but on redhat 9, rpm is profoundly (and unacceptably) 
  SLOW...  on redhat 7.3 (time rpm -qa) takes 0m0.418s real seconds, but on a
faster system with redhat 9 freshly installed, the same command (time rpm -qa)
takes 0m10.826s ...!!!

THAT'S A FACTOR OF 25!  What gives???

i have the same incredibly slow behavior on two redhat 9 systems which are
up-to-date...

  -- stig

PS: i don't think it's file fragmentation, but i tried 'rpm --rebuilddb' which
fails with "error: db4 error(16) from dbenv->remove: Device or resource busy"
Comment 1 Jeff Johnson 2003-08-20 10:26:49 EDT
rpm-4.1 verifies header digest/signature whenever headers are read.
Add --nodigest --nosignature if you want the previous behavior.

Note You need to log in before you can comment on or make changes to this bug.